# pygt3x
![Tests](https://github.com/actigraph/pygt3x/actions/workflows/tests.yml/badge.svg)

Python module for reading GT3X/AGDC file format data generated by ActiGraph devices.

## Example Usage

To read calibrated accelerometer data, you can use the code snippet below:

```python
from pygt3x.reader import FileReader

# Read raw data and calibrate, then export to pandas data frame
with FileReader("FILENAME") as reader:
    was_idle_sleep_mode_used = reader.idle_sleep_mode_activated
    df = reader.to_pandas()
    print(df.head(5))
```

If your AGDC file contains temperature data, you can read it using:

```python
from pygt3x.reader import FileReader

with FileReader("FILENAME") as reader:
    df = reader.temperature_to_pandas()
    print(df.head(5))
```